Bug 1286426 - [RFE] fencing improvements - code cleanup on VDSM
[RFE] fencing improvements - code cleanup on VDSM
Status: NEW
Product: vdsm
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Martin Perina
Martin Perina
: CodeChange, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-29 06:19 EST by Oved Ourfali
Modified: 2017-07-12 07:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+
mgoldboi: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Oved Ourfali 2015-11-29 06:19:44 EST
Description of problem:
This RFE is the continuation of efforts we've started in 3.6, see Bug 1158861.

Mandatory items:
   - finish code cleanup on engine
   - code cleanup on VDSM

Optional items:
   - implement steps
   - move checking of host power status prior to stop/start from engine
     to VDSM

Unlikely to be added:
   - using auto-detection
   - using fencing agent support for reboot
Comment 1 Oved Ourfali 2016-04-07 08:49:12 EDT
As far as I know we're not gonna do any for 4.1.
Martin?
Comment 2 Martin Perina 2016-04-07 08:57:27 EDT
I would like to finish at least "code cleanup on VDSM" and "move checking of host power status prior to stop/start from engine to VDSM" parts, because those will probably require API changes for 4.0 on VDSM side
Comment 3 Oved Ourfali 2016-04-07 09:22:44 EDT
Okay.
devel-ack on these changed.
Comment 4 Sandro Bonazzola 2016-05-02 06:02:46 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 6 Martin Perina 2016-05-09 09:23:23 EDT
I won't be able to finish this in 4.0, postponing to 4.1
Comment 9 Martin Perina 2017-06-20 05:56:53 EDT
Moving to 4.3 for now

Note You need to log in before you can comment on or make changes to this bug.